get_y_rotate_matrix(3)

NAME
get_y_rotate_matrix, get_y_rotate_matrix_f - Construct Y axis rotation matrices. Allegro game programming library.

SYNOPSIS
#include <allegro.h>

void get_y_rotate_matrix(MATRIX *m, fixed r); void get_y_rotate_matrix_f(MATRIX_f *m, float r);

DESCRIPTION
Construct Y axis rotation matrices, storing them in m. When applied to a point, these matrices will rotate it about the Y axis by the specified angle (given in binary, 256 degrees to a circle format).

SEE ALSO
apply_matrix(3), get_rotation_matrix(3), get_x_rotate_matrix(3), get_z_rotate_matrix(3)